## usb-modeswitch 1.1.0

=== Makefile ===
PROG        = usb_modeswitch
VERS        = 1.1.0
CC          = gcc
CFLAGS      += -Wall -l usb
RM          = /bin/rm -f
OBJS        = usb_modeswitch.c
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
UDEVDIR     = $(DESTDIR)/lib/udev
RULESDIR    = $(UDEVDIR)/rules.d
SBINDIR     = $(PREFIX)/sbin
MANDIR      = $(PREFIX)/share/man/man1


.PHONY:     clean

all:        $(PROG)

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS)

clean:
	$(RM) ./usb_modeswitch

install: all files-install rules-reload

files-install:
	install -d $(SBINDIR)
	install --mode=755 ./usb_modeswitch $(SBINDIR)
	install --mode=755 ./usb_modeswitch.sh $(UDEVDIR)/usb_modeswitch
	install -d $(ETCDIR)/usb_modeswitch.d
	install --mode=644 -t $(ETCDIR)/usb_modeswitch.d ./usb_modeswitch.d/*
	install --mode=644 usb_modeswitch.1 $(MANDIR)
	mkdir -p $(RULESDIR)
	install --mode=644 40-usb_modeswitch.rules $(RULESDIR)

rules-reload:
	if [ `which udevadm 2>/dev/null` ]; then \
		UDEVADM=`which udevadm`; \
		UDEVADM_VER=`$$UDEVADM -V 2>/dev/null`; \
		if [ -z $$UDEVADM_VER ]; then \
			UDEVADM_VER=`$$UDEVADM --version 2>/dev/null`; \
		fi; \
		if [ $$UDEVADM_VER -gt 127 ]; then \
			$$UDEVADM control --reload-rules; \
		else \
			$$UDEVADM control --reload_rules; \
		fi \
	elif [ `which udevcontrol 2>/dev/null` ]; then \
		`which udevcontrol` reload_rules; \
	fi

uninstall: files-uninstall rules-reload

files-uninstall:
	$(RM) $(SBINDIR)/usb_modeswitch
	$(RM) $(UDEVDIR)/usb_modeswitch
	$(RM) $(RULESDIR)/40-usb_modeswitch.rules
	$(RM) -R $(ETCDIR)/usb_modeswitch.d

.PHONY:    clean install uninstall

## usb-modeswitch 0.3

=== debian/changelog ===
usb-modeswitch (0.3) araneo; urgency=low

  * Only need libusb-dev for build depends

 -- Michael Frey <michael.frey@canonical.com>  Sun, 13 Sep 2009 12:44:53 -0400

usb-modeswitch (0.2) araneo; urgency=low

  * Fix build depends

 -- Michael Frey <michael.frey@canonical.com>  Sun, 13 Sep 2009 09:35:04 -0400

usb-modeswitch (0.1) araneo; urgency=low

  * Initial release 

 -- Michael Frey <michael.frey@canonical.com>  Fri, 11 Sep 2009 14:18:59 -0400

=== debian/control ===
Source: usb-modeswitch
Section: unknown
Priority: extra
Maintainer: Michael Frey <michael.frey@canonical.com>
Build-Depends: debhelper (>= 7), libusb-dev
Standards-Version: 3.8.0
Homepage: <insert the upstream URL, if relevant>

Package: usb-modeswitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/usb-modeswitch.sgml > usb-modeswitch.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/usb-modeswitch.
	$(MAKE) DESTDIR=$(CURDIR)/debian/usb-modeswitch install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## usb-modeswitch 1.1.0

=== debian/changelog ===
usb-modeswitch (1.1.0-2) unstable; urgency=low

  * Drop the udev rules file (shipped in usb-modeswitch-data). Thanks to
    Sven-Haegar Koch for the report! (Closes: #567438)

 -- Didier Raboud <didier@raboud.com>  Fri, 29 Jan 2010 09:24:41 +0100

usb-modeswitch (1.1.0-1) unstable; urgency=low

  The "All your base are belong to us" release. It was great to collaborate 
  with upstream on that release. Thanks Josh!

  * New 1.1.0 upstream version.
    - Debian manpage got included, drop docbook-to-man.
    - Merge the two wrappers and put them in /lib/udev/.
  * Add a lintian override for the polyglot in /lib/udev/
  * Update debian/watch to new upstream tarball naming.
  * Bump dependency on -data to 20100127-1.
  * Suggest comgt instead of gcom.
  * Patches:
    + 01_mf_install_all_path.patch
       Add
         - Ensures that the directories are created before accessing them
         - Disables the udev rules reload
    + 02_mp_correct_hyphens.patch
      Add to correct hyphen-used-as-minus-sign on the manpage.
    - 03_build_system_to_policy.patch
       Merged upstream.
    - 05_move_wrappers_to_usr.patch
       Merged upstream.

 -- Didier Raboud <didier@raboud.com>  Thu, 28 Jan 2010 15:17:38 +0100

usb-modeswitch (1.0.7-1) unstable; urgency=low

  * New 1.0.7 upstream version (Closes: #563527).
    - Update the manpage
    - Split source in binary and data packages.
  * Patches:
    - 01_correct_broken_huawei_conf.patch
        Removed.
    + 03_build_system_to_policy.patch
        Refreshed.
    - 04_convert_umconf_to_unicode.patch
        Removed.
    + 05_move_wrappers_to_usr.patch
        Refreshed.
    - 06_disables_rules.patch
        Removed.
  * Add a preinst to delete configuration files forgotten in previous releases
    - Also delete /etc/udev/rules.d/80-usb_modeswitch.rules.
    - Delete only the data files not included in the -data upload
  * Update README.Debian.

 -- Didier Raboud <didier@raboud.com>  Tue, 12 Jan 2010 15:58:14 +0100

usb-modeswitch (1.0.5-1) unstable; urgency=low

  * New 1.0.5 upstream version
    - Configurations are now stored in independent files under
      /etc/usb_modeswitch.d/
    - The devices detection is greatly improved by having a broader set of
      detection fields (Closes: #527122).
    - Two new binaries: usb_modeswitch_sh and usb_modeswitch_tcl.
  * Adaptation to new upstream:
    - Add tclsh to Depends.
    - Drop mkrules.py and thus python B-D (Closes: #535445).
    - Update manpage to 1.0.5 (add --version)
  * Patches:
    - 01_correct_broken_huawei_conf.patch : refresh. 
    - 02_umconf_is_no_exec.patch          : remove, merged upstream.
    - 03_build_system_to_policy.patch     : refresh.
    - 04_convert_umconf_to_unicode.patch  : Add to get everything in utf-8.
                                            Thanks to W. Martin Borgert.
    - 05_move_wrappers_to_usr.patch       : Add. Moves wrappers to specific
                                            /usr/share/usb_modeswitch
    - 06_disables_rules.patch             : Add to get the udev rules "opt-in"
                                            (See NEWS.Debian)
    - Add headers to make them all comply to DEP-3 Patch Tagging Guidelines.
  * Bump Standards-Version to 3.8.3
    - Add README.source.
  * Document the major changes in NEWS.Debian
  * Switch to source format 3.0 (quilt). Drop quilt Build-Dep and dh snippet.

 -- Didier Raboud <didier@raboud.com>  Tue, 03 Nov 2009 11:02:31 +0100

usb-modeswitch (1.0.2-1) unstable; urgency=low

  * New 1.0.2 Upstream Version
    - New devices:
      + EpiValley SEC-7089 (featured by Alegro and Starcomms / iZAP)
      + ST Mobile Connect HSUPA USB Modem
    - The command line options have changed:
      + On/off flags don't require arguments anymore
      + long option names changed to standard format (e.g. --HuaweiMode to
        --huawei-mode)
    - Code cleanup
    - Added device inquiry
    - Send and response endpoints now autoselected
  * Fix manpage accordingly.
  * Update mkrules.py accordingly with cleaner coding style, thanks to
    Kris Warkentin.
  * Add debian/NEWS with a clear warning about the command line changes.
  * Fix "Broken generated udev rules for Huawei devices." by adding patch
    01_correct_broken_huawei_conf.patch (Closes: #530788).
    - Thus adding quilt to Build-Depends and tweak debian/rules accordingly.
    - Thanks Stephen Depooter.
  * debian/rules: Redo from scratch using debhelper tiny style.
    - Thus bump Build-Depends on debhelper to > 7.0.50.
    - Use upstream's build system.
    - Add patch 02_umconf_is_no_exec.patch.
    - Add patch 03_build_system_to_policy.patch to accept DEB_BUILD_OPTIONS
      (noopt, nostrip).
  * Switch packaging to git under Alioth's collab-maint
    - Add Vcs-{Git,Browser} to debian/control.
  * Bump Standards to 3.8.2, no changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 23 Jun 2009 17:41:06 +0200

usb-modeswitch (0.9.7-1) unstable; urgency=low

  * 0.9.7 new upstream release.
    "Updated SonyMode, MD 400 now stable; automatic default endpoint detection
     from Andrew Bird."
    - Sony Ericsson MD400 now working
    - Automatic bulk endpoint detection
  * debian/copyright
    - Point to GPL version 2, thanks to lintian --pedantic.

 -- Didier Raboud <didier@raboud.com>  Thu, 16 Apr 2009 11:34:47 +0200

usb-modeswitch (0.9.7~beta1-1) experimental; urgency=low

  * 0.9.7beta new upstream release.
    "Major code clean up, optional success control (both suggested by Daniel
     Cooper), new devices"
  * New build system (not used in Debian yet).
  * New option to enable success control (--success)
    - Manpage updated
  * New devices
    - Option iCON 210,401
    - Vodafone K3760
    - ZTE MF636 (aka "Telstra / BigPond 7.2 Mobile Card")
    - Sierra Wireless Compass 597
    - MobiData MBD-200HU
    - Hyundai Mobile MB-810
  * Bump Standards to 3.8.1. No changes needed.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Mar 2009 19:44:55 +0200



=== debian/control ===
Source: usb-modeswitch
Section: comm
Priority: extra
Maintainer: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>= 7.0.50), libusb-dev
Standards-Version: 3.8.4
Homepage: http://www.draisberghof.de/usb_modeswitch/
Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git

Package: usb-modeswitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20100127-1)
Suggests: comgt, wvdial
Description: mode switching tool for controlling "flip flop" USB devices
 Several new USB devices have their proprietary Windows drivers onboard,
 especially WAN dongles. When plugged in for the first time, they act
 like a flash storage and start installing the driver from there. If
 the driver is already installed, the storage device vanishes and
 a new device, such as an USB modem, shows up. This is called the
 "ZeroCD" feature.
 .
 On Debian, this is not needed, since the driver is included as a
 Linux kernel module, such as "usbserial". However, the device still
 shows up as "usb-storage" by default. usb-modeswitch solves that
 issue by sending the command which actually performs the switching
 of the device from "usb-storage" to "usbserial".
 .
 This package contains the binaries and the brother scripts.

## usb-modeswitch 1.1.4

=== Makefile ===
PROG        = usb_modeswitch
VERS        = 1.1.4
CC          = gcc
CFLAGS      += -Wall
LIBS        = -l usb
RM          = /bin/rm -f
OBJS        = usb_modeswitch.c
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
UDEVDIR     = $(DESTDIR)/lib/udev
SBINDIR     = $(PREFIX)/sbin
MANDIR      = $(PREFIX)/share/man/man1

.PHONY:     clean

all:        $(PROG)

$(PROG): $(OBJS)
	$(CC) -o $(PROG) $(OBJS) $(CFLAGS) $(LIBS) $(LDFLAGS)

clean:
	$(RM) usb_modeswitch

install: all
	install -D --mode=755 usb_modeswitch $(SBINDIR)/usb_modeswitch
	install -D --mode=755 usb_modeswitch.tcl $(SBINDIR)/usb_modeswitch_dispatcher
	install -D --mode=755 usb_modeswitch.sh $(UDEVDIR)/usb_modeswitch
	install -D --mode=644 usb_modeswitch.conf $(ETCDIR)/usb_modeswitch.conf
	install -D --mode=644 usb_modeswitch.1 $(MANDIR)/usb_modeswitch.1


uninstall:
	$(RM) $(SBINDIR)/usb_modeswitch
	$(RM) $(UDEVDIR)/usb_modeswitch
	$(RM) $(ETCDIR)/usb_modeswitch.conf
	$(RM) $(MANDIR)/usb_modeswitch.1

.PHONY:    clean install uninstall

=== debian/changelog ===
usb-modeswitch (1.1.4-2) unstable; urgency=low

  * Fix configuration switching race (LP: #673435)

 -- Didier Raboud <didier@raboud.com>  Thu, 11 Nov 2010 14:52:43 +0100

usb-modeswitch (1.1.4-1) unstable; urgency=low

  * Patches: 
    + 04_use_var_lib_not_etc.patch : Add to put runtime files in /var/lib.

  * Release to unstable, thanks to the Release Team approval.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 18:30:37 +0200

usb-modeswitch (1.1.4-1~exp0) experimental; urgency=high

  * New 1.1.4 upstream version; relevant changes:
    - The package should work at boot time now (cold and warm);
      (Closes: #591765, #591722)
    - wrapper fix for the symlink feature: handling of multiple interrupt
      ports was incomplete; (Closes: #587776)
    - wrapper does not longer use a temporary file for the symlink feature
      (security considerations, Marco d'Itri) (Closes: #591761)
    - no udev rules grep'ing (Closes: #591760)

  * Patches:
    + 01_no_bash_before_tcl.patch : add to avoid one more waiting.
    + 02_mp_correct_hyphens.patch: refresh.
    + 03_use_udev_specifics.patch: avoid code duplication by using udev
      specific hotplug functions.

  * Set urgency to high as new upstream fixes security bug.

  * Correct documentation glitches in debian/README.Debian
    (Closes: #590903)

 -- Didier Raboud <didier@raboud.com>  Tue, 24 Aug 2010 00:07:38 +0200

usb-modeswitch (1.1.3-1) unstable; urgency=low

  * New 1.1.3 upstream version; relevant changes:
    - Small additions in Makefile (install with -D)
      => Remove patch 01_mf_install_path.patch
    - Changes in option handling (NO MORE DEFAULT CONFIG FILE!) and help text
      => Remove that conffile on upgrade, to avoid misunderstanding.
      => Include the device_reference.txt as docs.
    - Wrapper now ignores package manager leftovers in config folder
      => Remove patch 03_filter_undesired_rules.patch
    - Replaced bash-specific syntax in wrapper
      => Remove patch 04_fix_bashism.patch

  * Patches:
    + 02_mp_correct_hyphens.patch: refresh.

 -- Didier Raboud <didier@raboud.com>  Wed, 23 Jun 2010 10:43:35 +0200

usb-modeswitch (1.1.2-3) unstable; urgency=low

  * Add 04_fix_bashisms.patch to fix bashism in usb_modeswitch.tcl
    (Closes: #581143)

 -- Didier Raboud <didier@raboud.com>  Tue, 18 May 2010 14:24:17 +0200

usb-modeswitch (1.1.2-2) unstable; urgency=low

  * Add 03_filter_undesired_rules.patch to filter out undesired files
   (Closes: #579981)

 -- Didier Raboud <didier@raboud.com>  Mon, 03 May 2010 11:37:08 +0200

usb-modeswitch (1.1.2-1) unstable; urgency=low

  * New 1.1.2 upstream version.
    - Added support for two additional bulk messages
    - Wrapper handles special ZTE case
    - Generalized driver loading
    - New parameter "DriverModule" and "DriverIDPath"
    - New wrapper facility to add symlink pointing to interrupt port
  * Update 01_mf_install_path.patch and 02_mp_correct_hyphens.patch
  * Don't use Debian-specific revisions in debian/control.

 -- Didier Raboud <didier@raboud.com>  Mon, 19 Apr 2010 13:49:19 +0200

usb-modeswitch (1.1.1-1) unstable; urgency=low

  * New 1.1.1 upstream version.
    - Add separate config file for wrapper (global settings for switching and
      logging)
    - Add config file option to disable driver loading
    - Handling of kernel attribute AVOID_RESET_QUIRK added
    - Bug fixed in SonyMode
    - Bug fixed in SuccessCheck logic
    - Minor flow alignments and fixes
    - Debian:
      + Update patches
      + Update preinst to not drop /etc/usb_modeswitch.conf anymore
      + Update usb-modeswitch.install to install the conffile

  * Now that I am a DM, add DMUA field to debian/control.
    Thanks go to Patrick Matthäi for the sponsoring!

 -- Didier Raboud <didier@raboud.com>  Thu, 18 Mar 2010 11:08:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: comm
 Priority: extra
 Maintainer: Didier Raboud <didier@raboud.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libusb-dev
 Standards-Version: 3.8.4
 Homepage: http://www.draisberghof.de/usb_modeswitch/
@@ -10,7 +11,7 @@
 
 Package: usb-modeswitch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20100127-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices
  Several new USB devices have their proprietary Windows drivers onboard,

## usb-modeswitch 1.1.6

=== debian/changelog ===
usb-modeswitch (1.1.6-1~common0charlotte2) lucid; urgency=low

  * 07_add_settle_api.patch: add a new cmdline switch --settle which simply
    sleeps for 5 seconds, allowing the CDROM device to appear, after which
    we can finally modeswitch (LP: #717315)
  * debian/control: Update Vcs-Bzr link

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 20:32:36 -0600

usb-modeswitch (1.1.6-1~common0charlotte1) lucid; urgency=low

  * Backport from Natty

 -- Alex Chiang <achiang@canonical.com>  Fri, 11 Feb 2011 16:18:11 -0700

usb-modeswitch (1.1.6-1) experimental; urgency=low

  * New 1.1.6 upstream version.

  * Add a prerm maintainer script to remove leftover runtime files.
  * Update package relationships to allow the install of usb-modeswitch-
    data-packed.
  * Patches:
    + 06_umdp_archive_in_usr.patch: Add to search for the compressed archive
      in /usr/share/usb-modeswitch-data/
    x Refresh all others.
  * Bump Standards to 3.9.1 without changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 04 Jan 2011 17:22:40 +0100

usb-modeswitch (1.1.5-1) experimental; urgency=low

  * New 1.1.5 upstream version.
  
  * Patches:
    - 01_no_bash_before_tcl.patch: remove, included upstream.
    x Refresh all others.

 -- Didier Raboud <didier@raboud.com>  Wed, 01 Dec 2010 15:59:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Didier Raboud <didier@raboud.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libusb-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.draisberghof.de/usb_modeswitch/
-Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
+Vcs-Bzr: lp:~oem-solutions-group/charlotte/usb-modeswitch
 
 Package: usb-modeswitch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20100127)
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data-packed | usb-modeswitch-data
+Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices
  Several new USB devices have their proprietary Windows drivers onboard,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# This allows to select what I want instead of deleting what I don't
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/

## usb-modeswitch 1.1.7

=== Makefile ===
PROG        = usb_modeswitch
VERS        = 1.1.7
CC          = gcc
CFLAGS      += -Wall
LIBS        = -l usb
RM          = /bin/rm -f
OBJS        = usb_modeswitch.c
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
UDEVDIR     = $(DESTDIR)/lib/udev
SBINDIR     = $(PREFIX)/sbin
MANDIR      = $(PREFIX)/share/man/man1

.PHONY:    clean install uninstall

all:        $(PROG)

$(PROG): $(OBJS)
	$(CC) -o $(PROG) $(OBJS) $(CFLAGS) $(LIBS) $(LDFLAGS)

clean:
	$(RM) usb_modeswitch

install: all
	install -D -s --mode=755 usb_modeswitch $(SBINDIR)/usb_modeswitch
	install -D --mode=755 usb_modeswitch.tcl $(SBINDIR)/usb_modeswitch_dispatcher
	install -D --mode=755 usb_modeswitch.sh $(UDEVDIR)/usb_modeswitch
	install -D --mode=644 usb_modeswitch.conf $(ETCDIR)/usb_modeswitch.conf
	install -D --mode=644 usb_modeswitch.1 $(MANDIR)/usb_modeswitch.1
	install -d $(DESTDIR)/var/lib/usb_modeswitch

uninstall:
	$(RM) $(SBINDIR)/usb_modeswitch
	$(RM) $(UDEVDIR)/usb_modeswitch
	$(RM) $(ETCDIR)/usb_modeswitch.conf
	$(RM) $(MANDIR)/usb_modeswitch.1
	$(RM) -R $(DESTDIR)/var/lib/usb_modeswitch

=== debian/changelog ===
usb-modeswitch (1.1.7-1) unstable; urgency=low

  * New 1.1.7 upstream version.

  * Patches:
    + Add 01_extract_to_var_lib_not_tmp.patch to extract
      temporary files to /var/lib/usb_modeswitch instead of /tmp.
    + Add 02_allow_override_from_etc.patch to permit overriding
      packed configurations with files within /etc/usb_modeswitch.d/.
    - Remove 02_mp_correct_hyphens.patch: merged upstream.
    - Remove 04__use_var_lib_not_etc.patch: merged upstream.
    - Remove 05_fixed_configuration_switching_races.patch: was an upstream
      backport.
    - Remove 06_umdp_archive_in_usr.patch: Obsoleted by upstream.
  * Replace usb-modeswitch-data-packed dependency by a versioned dependency on
    usb-modeswitch-data (copes with -packed package removal).
  * Add a postinst maintainer script to move past runtime files to their new
    (and correct) location under /var/lib/.
  * Also bump debhelper compat (was forgotten).

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Mar 2011 14:00:50 +0100

usb-modeswitch (1.1.6-2) unstable; urgency=low

  * Upload to unstable.
  * Use new dh_installdeb maintscript possibility:
    - Bump debhelper Build-Depends to 8.1.0.
    - Add Pre-Depends on ${misc:Pre-Depends} to usb-modeswitch.
    - Remove usb-modeswitch.preinst.
    - Add usb-modeswitch.maintscript.
  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Feb 2011 14:11:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: usb-modeswitch
 Section: comm
 Priority: extra
-Maintainer: Didier Raboud <didier@raboud.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libusb-dev
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: debhelper (>= 8.1.0), libusb-dev
 Standards-Version: 3.9.1
 Homepage: http://www.draisberghof.de/usb_modeswitch/
-Vcs-Bzr: lp:~oem-solutions-group/charlotte/usb-modeswitch
+Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
 
 Package: usb-modeswitch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data-packed | usb-modeswitch-data
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20110227-1~)
 Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices

## usb-modeswitch 1.1.9

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb_modeswitch
-VERS        = 1.1.7
+VERS        = 1.1.9
 CC          = gcc
 CFLAGS      += -Wall
 LIBS        = -l usb

=== debian/changelog ===
usb-modeswitch (1.1.9-1ubuntu3) oneiric; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: fix crash in failing to match
    devices with config lists before SCSI attributes are checked.
    (LP: #824147)
  * debian/patches/03_use_udev_specifics.patch: avoid failing if
    usb_modeswitch gets called with --symlink in udev by removing the tclsh
    call; also redirect all output from these calls to /dev/null (we don't
    need it anyway).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 22 Aug 2011 11:19:11 -0400

usb-modeswitch (1.1.9-1ubuntu2) oneiric; urgency=low

  * Drop the dependency on tcl, which was the whole point of the C rewriting
    exercise! :)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Aug 2011 13:13:06 -0700

usb-modeswitch (1.1.9-1ubuntu1) oneiric; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: rewrite the dispatcher
    binary in C to be able to drop Tcl from the CD.
    See https://blueprints.launchpad.net/ubuntu/+spec/desktop-o-cdspace.
  * debian/control: add libudev-dev and libpipeline-dev to Build-Depends,
    as new requirements for the C version of usb_modeswitch_dispatcher.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 09 Aug 2011 15:11:17 -0400

usb-modeswitch (1.1.9-1) unstable; urgency=low

  * New 1.1.9 upstream version:
    × Refresh 03_use_udev_specifics.patch.

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Aug 2011 16:59:11 +0200

usb-modeswitch (1.1.8-1) unstable; urgency=low

  * New 1.1.8 upstream version:
    - Rewrite Debian's "override from /etc" code
      (Closes: #630081, thanks to Alex Hermann).
    - Fix boot-time switching regression
      (Closes: #629371, thanks to Christian Kastner).

  * Drop patches obsoleted by 1.1.8:
    - 01_extract_to_var_lib_not_tmp
    - 02_allow_override_from_etc
  * Drop device_reference.txt from docs as upstream dropped it.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Jun 2011 10:12:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: usb-modeswitch
 Section: comm
 Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.1.0), libusb-dev
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: debhelper (>= 8.1.0), libusb-dev, libpipeline-dev, libudev-dev
+Standards-Version: 3.9.2
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
@@ -11,7 +12,7 @@
 Package: usb-modeswitch
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl | tclsh, usb-modeswitch-data (>= 20110227-1~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20110227-1~)
 Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices

## usb-modeswitch 1.2.0+repack0

=== Makefile ===
PROG        = usb_modeswitch
VERS        = 1.2.0
CC          = gcc
CFLAGS      += -Wall
LIBS        = -l usb
RM          = /bin/rm -f
OBJS        = usb_modeswitch.c
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
UDEVDIR     = $(DESTDIR)/lib/udev
SBINDIR     = $(PREFIX)/sbin
MANDIR      = $(PREFIX)/share/man/man1
VPATH		= jimtcl

.PHONY:    clean install uninstall

all: $(PROG)

shared: $(PROG) dispatcher-dynamic

static: $(PROG) dispatcher-static

$(PROG): $(OBJS)
	$(CC) -o $(PROG) $(OBJS) $(CFLAGS) $(LIBS) $(LDFLAGS)

dispatcher-static: dispatcher.c usb_modeswitch.tcl
	./make_static_dispatcher.sh

dispatcher-dynamic: usb_modeswitch_dispatcher

usb_modeswitch_dispatcher: dispatcher.c usb_modeswitch.string
	$(CC) $(CFLAGS) dispatcher.c -ljim -o $@

usb_modeswitch.string: usb_modeswitch.tcl
	jimsh make_string.tcl usb_modeswitch.tcl > $@

clean:
	$(RM) usb_modeswitch
	$(RM) usb_modeswitch_dispatcher
	$(RM) usb_modeswitch.string

distclean:
	$(RM) usb_modeswitch
	$(RM) usb_modeswitch_dispatcher
	$(RM) usb_modeswitch.string
	cd jim && $(MAKE) distclean

install-common:
	install -D -s --mode=755 usb_modeswitch $(SBINDIR)/usb_modeswitch
	install -D --mode=755 usb_modeswitch.sh $(UDEVDIR)/usb_modeswitch
	install -D --mode=644 usb_modeswitch.conf $(ETCDIR)/usb_modeswitch.conf
	install -D --mode=644 usb_modeswitch.1 $(MANDIR)/usb_modeswitch.1
	install -d $(DESTDIR)/var/lib/usb_modeswitch

install-script:
	@SHELL=`which tclsh 2>/dev/null`; \
	if [ -z $$SHELL ]; then \
		SHELL="`which jimsh 2>/dev/null`"; \
		if [ -z $$SHELL ]; then \
			echo "Warning: no Tcl interpreter found!"; \
			SHELL="/usr/bin/tclsh"; \
		fi \
	fi ; \
	sed 's_!/usr/bin/tclsh_!'"$$SHELL"'_' <usb_modeswitch.tcl >usb_modeswitch_dispatcher
	install -D --mode=755 usb_modeswitch_dispatcher $(SBINDIR)/usb_modeswitch_dispatcher

install-binary:
	install -D --mode=755 usb_modeswitch_dispatcher $(SBINDIR)/usb_modeswitch_dispatcher

install: all install-common install-script

install-shared: shared install-common install-binary

install-static: static install-common install-binary

uninstall:
	$(RM) $(SBINDIR)/usb_modeswitch
	$(RM) $(SBINDIR)/usb_modeswitch_dispatcher
	$(RM) $(UDEVDIR)/usb_modeswitch
	$(RM) $(ETCDIR)/usb_modeswitch.conf
	$(RM) $(MANDIR)/usb_modeswitch.1
	$(RM) -R $(DESTDIR)/var/lib/usb_modeswitch

=== debian/changelog ===
usb-modeswitch (1.2.0+repack0-1) unstable; urgency=low

  * New 1.2.0 upstream release:
    - added command line options for binary program to accept configuration
      data via stdin or as a long string parameter - this fixes the bug with
      non-writable temporary file during boot (Closes: #629371);

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Refresh patches:
    × 03_use_udev_specifics.patch: Refresh.
    + 04_cope_with_repack.patch: Add.
    - wait_half_second_non_scsi.patch: was from upstream; drop.
  * Link usb-modeswitch-dispatcher against libjim.
    - Add Build-Depends on jimtcl and libjim-dev.
    - Drop Depends on tcl/tclsh.
    - Use explicit makefile targets.
  * Bump debhelper compat to 9, for auto- buildflags.
    - Bump debhelper B-D to 8.9.0~.
    - Add source lintian override.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Oct 2011 09:50:41 +0200

usb-modeswitch (1.1.9-2) unstable; urgency=low

  * Patch the tcl dispatcher to wait some time with non-scsi-needing
    devices. (Closes: #637972)

 -- Didier Raboud <odyx@debian.org>  Tue, 16 Aug 2011 23:04:57 +0200

## usb-modeswitch 1.2.1+repack0

=== debian/changelog ===
usb-modeswitch (1.2.1+repack0-1) unstable; urgency=low

  * New 1.2.1 upstream release.

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Refresh patches.
    × 03_use_udev_specifics.patch: Refresh.

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Jan 2012 21:27:00 +0100

## usb-modeswitch 1.2.2+repack0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb_modeswitch
-VERS        = 1.2.0
+VERS        = 1.2.2
 CC          = gcc
 CFLAGS      += -Wall
 LIBS        = -l usb

=== debian/changelog ===
usb-modeswitch (1.2.2+repack0-1) unstable; urgency=low

  * New 1.2.2 upstream release.
    - Fixed bad bug preventing mode switch for devices using TargetClass
      (Closes: #656248);

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Jan 2012 11:27:49 +0100

## usb-modeswitch 1.2.3+repack0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb_modeswitch
-VERS        = 1.2.2
+VERS        = 1.2.3
 CC          = gcc
 CFLAGS      += -Wall
 LIBS        = -l usb
@@ -65,7 +65,7 @@
 	install -D --mode=755 usb_modeswitch_dispatcher $(SBINDIR)/usb_modeswitch_dispatcher
 
 install-binary:
-	install -D --mode=755 usb_modeswitch_dispatcher $(SBINDIR)/usb_modeswitch_dispatcher
+	install -D -s --mode=755 usb_modeswitch_dispatcher $(SBINDIR)/usb_modeswitch_dispatcher
 
 install: all install-common install-script

=== debian/changelog ===
usb-modeswitch (1.2.3+repack0-1) unstable; urgency=medium

  * New 1.2.3 upstream release.
    - Fixed two bugs both causing the embedded-jimsh install variant of the
      dispatcher crash;
      (Closes: #656688)
    - Fixed some "regexp" incompatibilities with Debian's libjim.
      (Closes: #656063)

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Rise urgency to medium as this new upstream release fixes two RC bugs.
  * Add patch to disable logging as enabled in 1.2.3 upstream release.

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Jan 2012 18:16:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: usb-modeswitch
 Section: comm
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.1.0), libusb-dev, libpipeline-dev, libudev-dev
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: debhelper (>= 8.9.0~), libusb-dev, jimsh, libjim-dev
 Standards-Version: 3.9.2
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

# This allows to select what I want instead of deleting what I don't
override_dh_auto_install:
	DESTDIR=debian/tmp/ make install-shared

## usb-modeswitch 2.0.1+repack0

=== debian/changelog ===
usb-modeswitch (2.0.1+repack0-2) unstable; urgency=low

  * Update the systemd patch to change the systemctl path to fit
    Debian's (Closes: #725394) - thanks to Ralf Jung

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Sep 2013 10:57:27 +0200

usb-modeswitch (2.0.1+repack0-1) unstable; urgency=low

  * New 2.0.1 upstream release
    - Switched to libusb1.0
    - Major code and debug output cleanup
    - Man page corrections and additions
    - Experimental systemd and upstart integration

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Refresh patches for 2.0.1
  * Update Build-Depends to add libusb-1.0-0-dev and pkg-config
  * Incorporate support for upstart and systemd
    - patch the dispatcher to correctly check if upstart or systemd are running
    - install the upstart init file and the systemd service file

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Sep 2013 19:53:11 +0200

usb-modeswitch (1.2.6+repack0-1) unstable; urgency=low

  * New 1.2.6 upstream release
    - Several changes to streamline compiling as part of larger
      projects, mostly in Makefile;
    - fix compiler warnings appearing in certain build environments;
    - new Quanta procedure for Quanta 1K3 LTE;
    - fix for error with cascaded hubs in dispatcher script.

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Replace 04_cope_with_repack patch by one to to use the
    package-provided jimsh and libjim.
  * Bump usb-modeswitch-data depends to 20130607.

 -- Didier Raboud <odyx@debian.org>  Sat, 08 Jun 2013 18:07:17 +0200

usb-modeswitch (1.2.5+repack0-2) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Mon, 06 May 2013 17:36:17 +0200

usb-modeswitch (1.2.5+repack0-1) experimental; urgency=low

  * New 1.2.5 upstream release
    - Initial support for MBIM devices, use with data package >= 20121109;
    - checking for these is the automatic default, new parameter
      NoMBIMCheck prevents the check per device in case of problems; new
      global option to set "delay_use" of usb-storage (as low values may
      prevent mode-switching);
    - fix for handling multi-configuration devices (thanks to Bjørn Mork
      for advice).

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20121109.
  * Bump Standards-Version to 3.9.4 and debhelper B-D to 9 without
    changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 20 Nov 2012 10:45:07 +0100

usb-modeswitch (1.2.4+repack0-1) experimental; urgency=low

  * New 1.2.4 upstream release
    - Additional interface checks to prevent sending UFI commands to
      non-storage interfaces (prompted by more ambiguous device IDs
      popping up);
    - Change in SierraMode for handling newer devices which caused an
      error abort before;
    - Makefile fix for parallelized make runs.

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Drop patch to disable logging as was (temporarily) enabled in 1.2.3.
  * Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Tue, 28 Aug 2012 11:13:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: comm
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), libusb-dev, jimsh, libjim-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9),
+ libusb-1.0-0-dev,
+ pkg-config,
+ jimsh, libjim-dev
+Standards-Version: 3.9.4
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
@@ -11,7 +14,7 @@
 Package: usb-modeswitch
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20110227-1~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20130607)
 Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices

## usb-modeswitch 2.1.1%2Brepack0

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: usb-modeswitch
 Section: comm
 Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
  libusb-1.0-0-dev,
  pkg-config,
- jimsh, libjim-dev
-Standards-Version: 3.9.4
+ libpipeline-dev,
+ libudev-dev,
+Standards-Version: 3.9.5
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: git://git.debian.org/collab-maint/usb-modeswitch.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/usb-modeswitch.git
@@ -14,7 +16,7 @@
 Package: usb-modeswitch
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20130607)
+Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20140327)
 Breaks: usb-modeswitch-data (<< 20100127)
 Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices

## usb-modeswitch 2.1.1+repack0

=== Makefile ===
PROG        = usb_modeswitch
VERS        = 2.1.1
CC          ?= gcc
CFLAGS      += -Wall
LIBS        = `pkg-config --libs --cflags libusb-1.0`
RM          = /bin/rm -f
OBJS        = usb_modeswitch.c
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
SYSDIR      = $(ETCDIR)/systemd/system
UPSDIR      = $(ETCDIR)/init
UDEVDIR     = $(DESTDIR)/lib/udev
SBINDIR     = $(PREFIX)/sbin
MANDIR      = $(PREFIX)/share/man/man1
VPATH       = jimtcl
HOST_TCL   := $(shell cd jim && ./autosetup/find-tclsh)
ifeq (,$(findstring jimsh0,$(HOST_TCL)))
TCL        ?= $(HOST_TCL)
else
TCL        ?= /usr/bin/tclsh
endif
JIM_CONFIGURE_OPTS = --disable-lineedit \
	--with-out-jim-ext="stdlib posix load signal syslog" --prefix=/usr

.PHONY: clean install install-common uninstall \
	script shared static \
	dispatcher-script dispatcher-shared dispatcher-static \
	install-script install-shared install-static

all: script

script: $(PROG) dispatcher-script

shared: $(PROG) dispatcher-shared

static: $(PROG) dispatcher-static

$(PROG): $(OBJS) usb_modeswitch.h
	$(CC) -o $(PROG) $(OBJS) $(CFLAGS) $(LIBS) $(LDFLAGS)

jim/libjim.so:
	cd jim && CFLAGS="$(CFLAGS)" CC="$(CC)" ./configure $(JIM_CONFIGURE_OPTS) --shared
	$(MAKE) -C jim lib

jim/libjim.a:
	cd jim && CFLAGS="$(CFLAGS)" CC="$(CC)" ./configure $(JIM_CONFIGURE_OPTS)
	$(MAKE) -C jim lib

dispatcher-script: usb_modeswitch.tcl
	sed 's_!/usr/bin/tclsh_!'"$(TCL)"'_' < usb_modeswitch.tcl > usb_modeswitch_dispatcher

dispatcher-shared: jim/libjim.so dispatcher.c usb_modeswitch.string
	$(CC) dispatcher.c $(LDFLAGS) -Ljim -ljim -Ijim -o usb_modeswitch_dispatcher $(CFLAGS)

dispatcher-static: jim/libjim.a dispatcher.c usb_modeswitch.string
	$(CC) dispatcher.c $(LDFLAGS) jim/libjim.a -Ijim -o usb_modeswitch_dispatcher $(CFLAGS)

usb_modeswitch.string: usb_modeswitch.tcl
	$(HOST_TCL) make_string.tcl usb_modeswitch.tcl > $@

clean:
	$(RM) usb_modeswitch
	$(RM) usb_modeswitch_dispatcher
	$(RM) usb_modeswitch.string
	$(RM) jim/autosetup/jimsh0
	$(RM) jim/autosetup/jimsh0.c

distclean: clean
	-$(MAKE) -C jim distclean

ums-clean:
	$(RM) usb_modeswitch
	$(RM) usb_modeswitch_dispatcher
	$(RM) usb_modeswitch.string

# If the systemd folder is present, install the service for starting the dispatcher
# If not, use the dispatcher directly from the udev rule as in previous versions

install-common: $(PROG) usb_modeswitch_dispatcher
	install -D --mode=755 usb_modeswitch $(SBINDIR)/usb_modeswitch
	install -D --mode=755 usb_modeswitch.sh $(UDEVDIR)/usb_modeswitch
	install -D --mode=644 usb_modeswitch.conf $(ETCDIR)/usb_modeswitch.conf
	install -D --mode=644 usb_modeswitch.1 $(MANDIR)/usb_modeswitch.1
	install -D --mode=644 usb_modeswitch_dispatcher.1 $(MANDIR)/usb_modeswitch_dispatcher.1
	install -D --mode=755 usb_modeswitch_dispatcher $(SBINDIR)/usb_modeswitch_dispatcher
	install -d $(DESTDIR)/var/lib/usb_modeswitch
	test -d $(UPSDIR) -a -e /sbin/initctl && install --mode=644 usb-modeswitch-upstart.conf $(UPSDIR) || test 1
	test -d $(SYSDIR) -a -e /usr/bin/systemctl && install --mode=644 usb_modeswitch@.service $(SYSDIR) || test 1

install: install-script

install-script: dispatcher-script install-common

install-shared: dispatcher-shared install-common

install-static: dispatcher-static install-common

uninstall:
	$(RM) $(SBINDIR)/usb_modeswitch
	$(RM) $(SBINDIR)/usb_modeswitch_dispatcher
	$(RM) $(UDEVDIR)/usb_modeswitch
	$(RM) $(ETCDIR)/usb_modeswitch.conf
	$(RM) $(MANDIR)/usb_modeswitch.1
	$(RM) -R $(DESTDIR)/var/lib/usb_modeswitch
	$(RM) $(SYSDIR)/usb_modeswitch@.service

=== debian/changelog ===
usb-modeswitch (2.1.1+repack0-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable; remaining changes: (LP: #1280546)
    - patch to rewrite dispatcher to C.
    - debian/patches/redirect_dispatcher_output.patch: redirect all dispatcher
      output when called from udev to /dev/null.
    - Replace libjim depends with libpipeline-dev, libudev-dev.
  * Fixed some bugs in dispatcher rewrite. (LP: #1155975)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 07 Apr 2014 11:39:41 -0400

usb-modeswitch (2.1.1+repack0-1) unstable; urgency=medium

  * New 2.1.1 upstream release
    - "Interface" parameter was not working as expected, fixed
      (LP: #1261923)

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20140327
  * Append CPPFLAGS to CFLAGS

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Apr 2014 13:28:36 +0200

usb-modeswitch (2.1.0+repack0-1) unstable; urgency=medium

  * New 2.1.0 upstream release
    - -I flag meaning reversed, default is to skip SCSI inquiry

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20140129
  * Bump Standards-Version to 3.9.5 without changes needed
  * Add get-orig-source target to do the automatic repacking

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Feb 2014 12:58:03 +0100

usb-modeswitch (1.2.3+repack0-1ubuntu3) quantal; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: correct the "search" for
    modprobe to properly figure out whether it's available from PATH.
    (LP: #990337)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Oct 2012 19:39:48 -0400

usb-modeswitch (1.2.3+repack0-1ubuntu2) precise; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: fix check_success() checks for
    the presence of vendor and product IDs to allow modeswitch to correctly
    be reported as successful when a verification is required. (LP: #935230)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 07 Mar 2012 10:48:42 -0500

usb-modeswitch (1.2.3+repack0-1ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - debian/control: Drop the dependency on tcl and Build-Depends on
      jimsh/libjim (another tcl implementation).
    - debian/control: add libudev-dev and libpipeline-dev to Build-Depends.
    - debian/patches/dispatcher-c-rewrite.patch: rewrite the dispatcher in C,
      to be able to drop the Tcl dependencies.
  * debian/patches/dispatcher-c-rewrite.patch: adapt C rewrite patch to take
    in the changes from 1.2.1-1.2.3.
  * debian/patches/redirect_dispatcher_output.patch: redirect all dispatcher
    output when called from udev to /dev/null.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 09 Feb 2012 10:43:17 -0500

usb-modeswitch (1.2.0+repack0-1ubuntu1) precise; urgency=low

  * Merge with Debian testing; remaining changes:
    - debian/control: Drop the dependency on tcl and Build-Depends on
      jimsh/libjim (another tcl implementation).
    - debian/control: add libudev-dev and libpipeline-dev to Build-Depends.
    - debian/patches/dispatcher-c-rewrite.patch: rewrite the dispatcher in C,
      to be able to drop the Tcl dependencies.
  * debian/patches/dispatcher-c-rewrite.patch:
    - Adapt to follow the changes introduced in version 1.2.0.
    - Move bind_list, current_cfg and other state files to /run.
    - Fix handling parameters when the dispatcher is called manually instead
      of via udev. (LP: #829519)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 05 Dec 2011 15:00:29 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

# This allows to select what I want instead of deleting what I don't
override_dh_auto_install:
	DESTDIR=debian/tmp/ make install-shared

get-orig-source:
	set -e;\
	quilt pop -af || true ;\
	rm -Rf .pc ;\
	git import-orig --no-pristine-tar --no-merge --uscan ;\
	git checkout upstream-repack ;\
	utag=`git describe --exact-match heads/upstream | sed -e 's#^upstream/##'` ;\
	git merge upstream/$$utag -m "Merge upstream $$utag version" ;\
	urtag=$$utag+repack0 ;\
	git tag upstream/$$urtag -m "Upstream repacked $$utag version" ;\
	git archive --format=tar --prefix=usb-modeswitch-$$urtag/ upstream/$$urtag | xz -6e > ../usb-modeswitch_$$urtag.orig.tar.xz ;\
	pristine-tar commit ../usb-modeswitch_$$urtag.orig.tar.xz upstream/$$urtag ;\
	git checkout master ;\
	git merge upstream/$$urtag -m "Merge upstream-repacked $$urtag version"

=== debian/watch ===
version=3

http://www.draisberghof.de/usb_modeswitch/ usb-modeswitch-([\d.]*)\.tar\.bz2
